import type { UmbMediaCaptionAltTextModalData, UmbMediaCaptionAltTextModalValue } from './media-caption-alt-text-modal.token.js';
import { UmbModalBaseElement } from '../../../../core/modal/index.js';
export declare class UmbMediaCaptionAltTextModalElement extends UmbModalBaseElement<UmbMediaCaptionAltTextModalData, UmbMediaCaptionAltTextModalValue> {
    #private;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbMediaCaptionAltTextModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-media-caption-alt-text-modal': UmbMediaCaptionAltTextModalElement;
    }
}
